Skip to main content
POST
/
v1
/
admin
/
relationships
/
activities
Create activity
curl --request POST \
  --url https://{operatorDomain}/v1/admin/relationships/activities \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "actv_01h...",
  "type": "call",
  "subject": "<string>",
  "occurredAt": "2023-11-07T05:31:56Z"
}
'
{
  "id": "actv_01h...",
  "type": "call",
  "subject": "<string>",
  "occurredAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Body

application/json
id
string
Example:

"actv_01h..."

type
string
Example:

"call"

subject
string
occurredAt
string<date-time>

Response

201 - application/json

Created activity

id
string
Example:

"actv_01h..."

type
string
Example:

"call"

subject
string
occurredAt
string<date-time>